//Skybox
textures/ctemple/pn_skybox
{
	qer_editorimage textures/ctemple/pn
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 0.90 1.00 7 90 90
	q3map_surfacelight 7
	skyparms env/pn/pn - -
}

textures/ctemple/pn_bk
{
	qer_editorimage env/ctemple/pn_bk.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/ctemple/pn_bk.tga
		rgbGen identityLighting
	}
}

textures/ctemple/pn_dn
{
	qer_editorimage env/ctemple/pn_dn.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/ctemple/pn_dn.tga
		rgbGen identityLighting
	}
}

textures/ctemple/pn_ft
{
	qer_editorimage env/ctemple/pn_ft.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/ctemple/pn_ft.tga
		rgbGen identityLighting
	}
}

textures/ctemple/pn_lf
{
	qer_editorimage env/ctemple/pn_lf.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/ctemple/pn_lf.tga
		rgbGen identityLighting
	}
}

textures/ctemple/pn_rt
{
	qer_editorimage env/ctemple/pn_rt.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/ctemple/pn_rt.tga
		rgbGen identityLighting
	}
}

textures/ctemple/pn_up
{
	qer_editorimage env/ctemple/pn_up.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/ctemple/pn_up.tga
		rgbGen identityLighting
	}
}

textures/ctemple/sun
{
	qer_editorimage textures/ctemple/sun.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	sort banner
	cull disable
	nomipmaps
	deformVertexes autosprite
	qer_trans 0.5
	{
		map textures/ctemple/sun.tga
		blendfunc blend
	}
}

models/mapobjects/ctemple/planet
{
	qer_editorimage models/mapobjects/ctemple/planet.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map models/mapobjects/ctemple/planet.tga
	}
}

models/mapobjects/ctemple/atmo
{
	qer_editorimage models/mapobjects/ctemple/atmosphere.tga
	surfaceparm nolightmap
	{
		map models/mapobjects/ctemple/atmosphere.tga
		blendfunc blend
	}
}

models/mapobjects/ctemple/ring
{
	qer_editorimage models/mapobjects/ctemple/ring.tga
	surfaceparm nolightmap
	{
		map models/mapobjects/ctemple/ring.tga
		blendfunc add
		tcMod scroll 0.05 0
	}
}

textures/ctemple/underwater_sun
{
	qer_editorimage textures/ctemple/underwater_sun.tga
	cull disable
	{
		clampmap textures/ctemple/underwater_sun.tga
		blendfunc add
		tcMod rotate -2
	}
     	{
		clampmap textures/ctemple/underwater_sun.tga
		blendfunc add
		tcMod rotate 5
	}
}

//Water

textures/ctemple/water
{
	qer_editorimage textures/ctemple/water.tga
	qer_trans 0.25
	q3map_globaltexture
  	cull disable
    	surfaceparm trans
    	surfaceparm noimpact
    	surfaceparm water
    	surfaceparm nolightmap
    	surfaceparm nomarks
	deformVertexes normal .1 .5
   	tessSize 64
    	{
        		map textures/ctemple/water.tga
		blendFunc GL_DST_COLOR GL_ZERO
        		tcMod scroll 0.05 -0.03
    	}
}

textures/ctemple/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ctemple/watercaulk.tga
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

//Lights

textures/ctemple/lig_b064-03a
{
	qer_editorimage textures/ctemple/lig_b064-03g.tga
	{
		map textures/ctemple/lig_b064-03g.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/ctemple/lig_b064-03g.blend.tga
		blendfunc add	
          		rgbgen wave sin .5 .3 0 1
	}
}

textures/ctemple/lig_032-02w1-2k
{
	qer_editorimage textures/ctemple/032lig11wa.tga
	q3map_lightimage textures/ctemple/032lig11w.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map textures/ctemple/032lig11wa.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/032lig11w.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ctemple/lig_032-01b1-2k
{
	qer_editorimage textures/ctemple/lig_032-01b1.tga
	q3map_lightimage textures/ctemple/lig_032-01b.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-01b1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-01b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_032-01r1-2k
{
	qer_editorimage textures/ctemple/lig_032-01r1.tga
	q3map_lightimage textures/ctemple/lig_032-01r.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-01r1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-01r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_032-01w1-2k
{
	qer_editorimage textures/ctemple/lig_032-01w1.tga
	q3map_lightimage textures/ctemple/lig_032-01w.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-01w1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-01w.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_032-04b1-2k
{
	qer_editorimage textures/ctemple/lig_032-04b1.tga
	q3map_lightimage textures/ctemple/lig_032-04b.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-04b1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-04b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_032-04r1-2k
{
	qer_editorimage textures/ctemple/lig_032-04r1.tga
	q3map_lightimage textures/ctemple/lig_032-04r.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-04r1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-04r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_032-04w1-2k
{
	qer_editorimage textures/ctemple/lig_032-04w1.tga
	q3map_lightimage textures/ctemple/lig_032-04w.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-04w1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-04w.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_064-02b1-2k
{
	qer_editorimage textures/ctemple/lig_064-02b1.tga
	q3map_lightimage textures/ctemple/lig_064-02b.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-02b1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-02b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_064-02r1-2k
{
	qer_editorimage textures/ctemple/lig_064-02r1.tga
	q3map_lightimage textures/ctemple/lig_064-02r.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-02r1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-02r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_064-02w1-2k
{
	qer_editorimage textures/ctemple/lig_064-02w1.tga
	q3map_lightimage textures/ctemple/lig_064-02w.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-02w1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-02w.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_064-05b1-2k
{
	qer_editorimage textures/ctemple/lig_064-05b1.tga
	q3map_lightimage textures/ctemple/lig_064-05b.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-05b1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-05b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_064-05r1-2k
{
	qer_editorimage textures/ctemple/lig_064-05r1.tga
	q3map_lightimage textures/ctemple/lig_064-05r.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-05r1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-05r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_064-05w1-2k
{
	qer_editorimage textures/ctemple/lig_064-05w1.tga
	q3map_lightimage textures/ctemple/lig_064-05w.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-05w1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-05w.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_064-05g1-2k
{
	qer_editorimage textures/ctemple/lig_064-05g1.tga
	q3map_lightimage textures/ctemple/lig_064-05g.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-05g1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_064-05g.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/lig_032-04g1-2k
{
	qer_editorimage textures/ctemple/lig_032-04g1.tga
	q3map_lightimage textures/ctemple/lig_032-04g.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-04g1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctemple/lig_032-04g.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ctemple/middle_screen_r
{
    	surfaceparm nolightmap
    	surfaceparm nonsolid
   	 surfaceparm trans
    	cull disable
    	{
        		map textures/ctemple/middle_screen_r.tga
        		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        		rgbGen wave triangle 0.7 0.2 0.3 0.5
    	}
    	{
        		map textures/ctemple/middle_screen_r_pass1.tga
        		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        		rgbGen wave sin 0 0.6 0.1 0.7
    	}
    	{
        		map textures/ctemple/middle_screen_r_pass2.tga
        		blendFunc GL_ONE GL_ONE
        		rgbGen wave sin 0 0.5 1 0.4
    	}
    	{
        		map textures/ctemple/middle_screen_r_pass3.tga
        		blendFunc GL_ONE GL_SRC_ALPHA
        		rgbGen wave triangle 0 0.5 0 0.5
    	}
}

textures/ctemple/light
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/ctemple/light.tga
		blendFunc GL_ONE GL_ONE
	}
}

//terrain

textures/ctemple/rock
{
	qer_editorimage textures/ctemple/rock.tga
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_forcemeta
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )	
	{
		map textures/ctemple/rock.tga 
		rgbgen identity
	}
	{
		map textures/ctemple/algen.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}              
}

textures/ctemple/rock2
{
	qer_editorimage textures/ctemple/rock.tga
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_forcemeta
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )	
	{
		map textures/ctemple/rock.tga 
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}              
}

textures/ctemple/sand1
{
	qer_editorimage textures/ctemple/sand1.tga
 	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_forcemeta
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )	
	{
		map textures/ctemple/sand1.tga
		blendFunc GL_one GL_src_color
		rgbgen identity
	}
	{
		map textures/ctemple/algen.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ctemple/sand2	
{
	qer_editorimage textures/ctemple/sand2.tga
    	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
    	q3map_nonplanar
    	q3map_shadeangle 120
    	q3map_forcemeta
	{
		map textures/ctemple/sand1.tga
		blendFunc GL_one GL_src_color
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}       
}

//Underwater

textures/ctemple/anemone
{
	qer_editorimage textures/ctemple/anemone.tga
	q3map_backShader textures/ctemple/anemone_back.tga
	q3map_surfacelight 75
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/anemone.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/anemone_back
{
	qer_editorimage textures/ctemple/anemone.tga
	q3map_surfacelight 75
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/anemone.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/anemone2
{
	qer_editorimage textures/ctemple/anemone2.tga
	q3map_backShader textures/ctemple/anemone2_back.tga
	q3map_surfacelight 75
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/anemone2.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/anemone2_back
{
	qer_editorimage textures/ctemple/anemone2.tga
	q3map_surfacelight 75
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/anemone2.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/waterplant1
{
	qer_editorimage textures/ctemple/waterplant1.tga
	q3map_backShader textures/ctemple/waterplant1_back.tga
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/waterplant1.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/ctemple/waterplant1_back
{
	qer_editorimage textures/ctemple/waterplant1.tga
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/waterplant1.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/ctemple/waterplant2
{
	qer_editorimage textures/ctemple/waterplant2.tga
	q3map_backShader textures/ctemple/waterplant2_back.tga
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/waterplant2.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/ctemple/waterplant2_back
{
	qer_editorimage textures/ctemple/waterplant2.tga
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/waterplant2.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/ctemple/waterplant3
{
	qer_editorimage textures/ctemple/waterplant3.tga
	q3map_backShader textures/ctemple/waterplant3_back.tga
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/ctemple/waterplant3.tga
		rgbGen vertex
		depthWrite
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
}

textures/ctemple/waterplant3_back
{
	qer_editorimage textures/ctemple/waterplant3.tga
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/ctemple/waterplant3.tga
		rgbGen vertex
		depthWrite
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
}

textures/ctemple/waterplant4
{
	qer_editorimage textures/ctemple/waterplant4.tga
	q3map_backShader textures/ctemple/waterplant4_back.tga
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/waterplant4.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/ctemple/waterplant4_back
{
	qer_editorimage textures/ctemple/waterplant4.tga
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/waterplant4.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/ctemple/fish
{
	qer_editorimage textures/ctemple/fish.tga
	surfaceparm nomarks
      	surfaceparm nonsolid
      	surfaceparm trans
	cull disable
	deformVertexes wave 100 sin 0 2 0 .7
	{
		map textures/ctemple/fish.tga
		tcMod Scroll -0.3 0
		alphaFunc GE128
	}
}

textures/ctemple/redalgae
{
	qer_editorimage textures/ctemple/redalgae.tga
	q3map_backShader textures/ctemple/redalgae_back.tga
	q3map_surfacelight 75
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/redalgae.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/redalgae_back
{
	qer_editorimage textures/ctemple/redalgae.tga
	q3map_surfacelight 75
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/redalgae.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/bluealgae
{
	qer_editorimage textures/ctemple/bluealgae.tga
	q3map_backShader textures/ctemple/bluealgae_back.tga
	q3map_surfacelight 75
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/bluealgae.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/bluealgae_back
{
	qer_editorimage textures/ctemple/bluealgae.tga
	q3map_surfacelight 75
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/bluealgae.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/orangeleaf
{
	qer_editorimage textures/ctemple/orangeleaf.tga
	q3map_backShader textures/ctemple/orangeleaf_back.tga
	q3map_surfacelight 40
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/orangeleaf.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/orangeleaf_back
{
	qer_editorimage textures/ctemple/orangeleaf.tga
	q3map_surfacelight 40
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/orangeleaf.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/greenleaf
{
	qer_editorimage textures/ctemple/greenleaf.tga
	q3map_backShader textures/ctemple/greenleaf_back.tga
	q3map_surfacelight 40
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/greenleaf.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/greenleaf_back
{
	qer_editorimage textures/ctemple/greenleaf.tga
	q3map_surfacelight 40
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/greenleaf.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/plants
{
	qer_editorimage textures/ctemple/plants.tga
	q3map_backShader textures/ctemple/plants_back.tga
	q3map_surfacelight 40
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/plants.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ctemple/plants_back
{
	qer_editorimage textures/ctemple/plants.tga
	q3map_surfacelight 40
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		clampmap textures/ctemple/plants.tga
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

//Alpha fade

textures/ctemple/alpha_000
{
	qer_editorimage textures/ctemple/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ctemple/alpha_050
{
	qer_editorimage textures/ctemple/alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ctemple/alpha_100
{
	qer_editorimage textures/ctemple/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ctemple/botclip
{
	qer_trans 0.40
	qer_editorimage textures/common/botclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm botclip
	surfaceparm noimpact
	surfaceparm trans
}

//Models

models/mapobjects/ctemple/zeus
{		
	{
		map models/mapobjects/ctemple/zeussphere.tga
		rgbgen wave sin 0.5 0.5 0 0.2
		tcmod scale 1 1	
		tcmod rotate 500		
	}
	{
		map models/mapobjects/ctemple/zeusskin.tga
		rgbgen vertex
		tcmod scale 2 2
		blendfunc blend		
	}	
}

models/mapobjects/ctemple/zeusstaff
{
	{
		map models/mapobjects/ctemple/zeusstaff.tga
		tcGen environment
		rgbgen vertex	
	}
}
models/mapobjects/ctemple/zeusenergy
{
	cull none
	sort additive
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	{
		map models/mapobjects/ctemple/zeusenergy.tga
		blendfunc blend			
		tcmod scale 1 1
		tcmod scroll 0 -2
	}
}

models/mapobjects/ctemple/zeusball
{
	cull none
	sort additive
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	deformVertexes autosprite	
	{
		map models/mapobjects/ctemple/zeusball.tga
		blendfunc blend			
		tcmod rotate 7323		
	}
}

models/mapobjects/ctemple/zeussphere
{
	{
		map models/mapobjects/ctemple/zeussphere.tga
		tcmod scale 4 4
		tcmod scroll 3 3
		rgbgen vertex	
	}
}

models/mapobjects/ctemple/zeusflare
{
	cull none
	sort additive
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip 
	deformVertexes autosprite	
	{	
		clampmap models/mapobjects/ctemple/zeusflare.tga
		blendfunc gl_src_alpha gl_one	
		tcmod stretch sin 0.7 0.25 0 0.5	
		tcmod rotate 120	
	}
	{	
		clampmap models/mapobjects/ctemple/zeusflare.tga
		blendfunc gl_src_alpha gl_one
		tcmod stretch sin 0.7 0.25 0.3 0.75		
		tcmod rotate -80	
	}
}

models/mapobjects/ctemple/zeusbox
{
	{
		map models/mapobjects/ctemple/zeusbox.tga
		rgbgen vertex
	}
}

models/mapobjects/ctemple/finko_light1
{
	qer_editorimage models/mapobjects/ctemple/finko_light1.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ctemple/finko_light1.tga
		blendfunc GL_ONE GL_SRC_ALPHA
	}
	{
		map models/mapobjects/ctemple/finko_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}	
}
